Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Interface SARDeployerMBean

All Superinterfaces:
  Service, ServiceMBean, SubDeployerMBean

All Known Implementing Classes:
  SARDeployer

public interface SARDeployerMBean
extends SubDeployerMBean

MBean interface.

See Also:
  `Service`

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`boolean` | `accepts(DeploymentInfo di)` Returns true if this deployer can deploy the given DeploymentInfo.
`void` | `create(DeploymentInfo di)` Describe `create` method here.
`void` | `destroy(DeploymentInfo di)` The destroy method invokes destroy on the mbeans associated with the deployment in reverse order relative to create.
`DeploymentInfo` | `getService(javax.management.ObjectName serviceName)` The destroy method invokes destroy on the mbeans associated with the deployment in reverse order relative to create.
`void` | `init(DeploymentInfo di)` Describe `init` method here.
`void` | `start(DeploymentInfo di)` The `start` method starts all the mbeans in this DeploymentInfo..
`void` | `stop(DeploymentInfo di)` The stop method invokes stop on the mbeans associatedw ith the deployment in reverse order relative to create.

Methods inherited from interface org.jboss.deployment.SubDeployerMBean
`getRelativeOrder, getSuffixes, setRelativeOrder, setSuffixes`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getService

    public DeploymentInfo getService(javax.management.ObjectName serviceName)

  The destroy method invokes destroy on the mbeans associated with the deployment in reverse order relative to create.

  Parameters:
    `serviceName` - a service object name
  Returns:
    The associated service DeploymentInfo if found, null otherwise

### accepts

    public boolean accepts(DeploymentInfo di)

  Returns true if this deployer can deploy the given DeploymentInfo.

  Specified by:
    `accepts` in interface `SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Returns:
    True if this deployer can deploy the given DeploymentInfo.

### init

    public void init(DeploymentInfo di)
              throws DeploymentException

  Describe `init` method here.

  Specified by:
    `init` in interface `SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### create

    public void create(DeploymentInfo di)
                throws DeploymentException

  Describe `create` method here.

  Specified by:
    `create` in interface `SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### start

    public void start(DeploymentInfo di)
               throws DeploymentException

  The `start` method starts all the mbeans in this DeploymentInfo..

  Specified by:
    `start` in interface `SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value
  Throws:
    `DeploymentException` - if an error occurs

### stop

    public void stop(DeploymentInfo di)

  The stop method invokes stop on the mbeans associatedw ith the deployment in reverse order relative to create.

  Specified by:
    `stop` in interface `SubDeployerMBean`
  Parameters:
    `di` - the `DeploymentInfo` value to stop.

### destroy

    public void destroy(DeploymentInfo di)

  The destroy method invokes destroy on the mbeans associated with the deployment in reverse order relative to create.

  Specified by:
    `destroy` in interface `SubDeployerMBean`
  Parameters:
    `di` - a `DeploymentInfo` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.